Core - Task # 40333

Task # 40095 (Resolved): Move core to namespaces

Status: Resolved Priority: Should have
Author: Thomas Maroschik Category:

Created: 2012-08-28 Assigned To:

Updated: 2012-09-22 Due date:

TYPOS3 Version: 6.0

PHP Version:

Complexity:

Sprint Focus:

Subject: Change all Extbase ExtensionUtility::registerModule calls in the core
Description

After #40243 gets merged the vendor name has to be prepended to the EXTKEY parameter of
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule in all namespaced Extbase modules.

For example in typo3/sysext/about/ext_tables.php:
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule($_EXTKEY, 'help’, 'about', 'top', array(
'About' => 'index’
), array(
'access' => 'user,group’,
'icon' => 'EXT:about/ext_icon.gif',
'labels' => 'LLL:EXT:lang/locallang_mod_help_about.xIf'
);

has to be changed to:

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(' TYPO3.CMS.' . $_EXTKEY, 'help’, 'about’, 'top', array(
'"About’ => 'index’

), array(
'access' => 'user,group’,
'icon' => 'EXT:about/ext_icon.gif',
'labels' => 'LLL:EXT:lang/locallang_mod_help_about.xIf'

);

Associated revisions

Revision b7b7¢cc00 - 2012-09-22 12:39 - Helmut Hummel

[BUGFIX] Properly register extbase BE modules

Change ExtensionUtility::registerModule($_EXTKEY, ...) calls to
ExtensionUtility::registerModule('TYPO3.CMS.' . $_EXTKEY, ...)

Change-Id: 1a5edc3f73e66d31e69941ebbbe457d294bf7084c
Fixes: #40333

Relates: #40095

Releases: 6.0

Reviewed-on: http://review.typo3.org/14196

Reviewed-by: HelImut Hummel
http://review.typo3.org/14196

Tested-by: Helmut Hummel

Revision 2c5e8be7 - 2012-09-22 12:47 - Helmut Hummel

[BUGFIX] Properly register extbase BE modules

Change ExtensionUtility::registerModule($_EXTKEY, ...) calls to
ExtensionUtility::registerModule('TYPO3.CMS.' . $_EXTKEY, ...)

Change-Id: lec3a48a6667b51a74979cd41a79e6b7d872a561d
Fixes: #40333

Relates: #40095

Releases: 6.0

Reviewed-on: http:/review.typo3.org/14197

Reviewed-by: HelImut Hummel

Tested-by: Helmut Hummel

History

#1 - 2012-08-29 20:03 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14196

#2 - 2012-08-29 20:06 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14197

#3 - 2012-09-22 12:38 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/14196

#4 - 2012-09-22 12:40 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14197

#5 - 2012-09-22 13:30 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b7b7cc0091c5999b390e9898f24dbc69ee36¢c7al.

2015-08-04

2/3


http://review.typo3.org/14197
http://review.typo3.org/14196
http://review.typo3.org/14197
http://review.typo3.org/14196
http://review.typo3.org/14197

2015-08-04 3/3



